Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::v3::concepts::Iterable Struct Reference
Concepts

## Description

Iterable concepts below.

## Public Types
template<typename T >
using | difference_t = concepts::WeaklyIncrementable::difference_t< iterator_t< T >>
template<typename T >
using | iterator_t = decltype(begin(val< T >()))
template<typename T >
using | sentinel_t = decltype(end(val< T >()))

## Public Member Functions
template<typename T >
auto | requires_ (T &&t) -> decltype(concepts::valid_expr(concepts::model_of< IteratorRange >(begin(t), end(t))))